import bb.cascades 1.0

MenuDefinition
{
    property string projectName
    
    function launchPage(page)
    {
        if (parent.activePane) {
            parent.activePane.push(page);
        } else {
            parent.push(page);
        }
    }
    
    settingsAction: SettingsActionItem
    {
        property Page settingsPage
        
        onTriggered:
        {
            if (!settingsPage) {
                definition.source = "SettingsPage.qml"
                settingsPage = definition.createObject()
            }
            
            launchPage(settingsPage);
        }
    }
    
    actions: [
        ActionItem {
            title: qsTr("Bug Reports") + Retranslate.onLanguageChanged
            imageSource: "images/ic_bugs.png"
            
            onTriggered: {
                definition.source = "BugReportPage.qml";
                var bugReportPage = definition.createObject();
                bugReportPage.projectName = projectName;
                launchPage(bugReportPage);
            }
        }
    ]
    
    helpAction: HelpActionItem
    {
        property Page helpPage
        
        onTriggered:
        {
            if (!helpPage) {
                definition.source = "HelpPage.qml"
                helpPage = definition.createObject();
            }
            
            launchPage(helpPage);
        }
    }
}